Functions
IT_Management
Peripheral Driver » LL Driver » ISO7816 » Functions

## Functions
__STATIC_INLINE uint32_t | ll_iso7816_get_it_flag (iso7816_regs_t *ISO7816x)
| Get ISO7816 interrupt flags. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_test (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_TEST flag. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_presence (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_PRESENCE flag. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_state_err (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_STATE_ERR flag. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_dma_err (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_DMA_ERR flag. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_retry_err (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_RETRY_ERR flag. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_rx_err (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_RX_ERR flag. More...
__STATIC_INLINE uint32_t | ll_iso7816_is_active_flag_done (iso7816_regs_t *ISO7816x)
| Indicate the status of STAT_DONE flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_all_intr (iso7816_regs_t *ISO7816x)
| Clear the combined interrupt, all individual interrupts, and the STAT register. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_test (iso7816_regs_t *ISO7816x)
| Clear test flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_presence (iso7816_regs_t *ISO7816x)
| Clear presence flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_state_err (iso7816_regs_t *ISO7816x)
| Clear state error flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_dma_err (iso7816_regs_t *ISO7816x)
| Clear dma error flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_retry_err (iso7816_regs_t *ISO7816x)
| Clear retry error flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_rx_err (iso7816_regs_t *ISO7816x)
| Clear RX error flag. More...
__STATIC_INLINE void | ll_iso7816_clear_flag_done (iso7816_regs_t *ISO7816x)
| Clear done flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_iso7816_clear_flag_all_intr()

__STATIC_INLINE void ll_iso7816_clear_flag_all_intr | ( | iso7816_regs_t * | ISO7816x | ) |

Clear the combined interrupt, all individual interrupts, and the STAT register.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_TEST | +———————-+———————————–+ \endrst STAT | STAT_PRESENCE STAT | STAT_STATE_ERR STAT | STAT_DMA_ERR STAT | STAT_RETRY_ERR STAT | STAT_RX_ERR STAT | STAT_DONE

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1255 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_dma_err()

__STATIC_INLINE void ll_iso7816_clear_flag_dma_err | ( | iso7816_regs_t * | ISO7816x | ) |

Clear dma error flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_DMA_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1331 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_done()

__STATIC_INLINE void ll_iso7816_clear_flag_done | ( | iso7816_regs_t * | ISO7816x | ) |

Clear done flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_DONE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1388 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_presence()

__STATIC_INLINE void ll_iso7816_clear_flag_presence | ( | iso7816_regs_t * | ISO7816x | ) |

Clear presence flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_PRESENCE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1293 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_retry_err()

__STATIC_INLINE void ll_iso7816_clear_flag_retry_err | ( | iso7816_regs_t * | ISO7816x | ) |

Clear retry error flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_RETRY_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1350 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_rx_err()

__STATIC_INLINE void ll_iso7816_clear_flag_rx_err | ( | iso7816_regs_t * | ISO7816x | ) |

Clear RX error flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_RX_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1369 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_state_err()

__STATIC_INLINE void ll_iso7816_clear_flag_state_err | ( | iso7816_regs_t * | ISO7816x | ) |

Clear state error flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_STATE_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1312 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_clear_flag_test()

__STATIC_INLINE void ll_iso7816_clear_flag_test | ( | iso7816_regs_t * | ISO7816x | ) |

Clear test flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CTRL_TEST | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  None. |

Definition at line 1274 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_get_it_flag()

__STATIC_INLINE uint32_t ll_iso7816_get_it_flag | ( | iso7816_regs_t * | ISO7816x | ) |

Get ISO7816 interrupt flags.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_TEST | +———————-+———————————–+ \endrst STAT | STAT_PRESENCE STAT | STAT_STATE_ERR STAT | STAT_DMA_ERR STAT | STAT_RETRY_ERR STAT | STAT_RX_ERR STAT | STAT_DONE

Parameters

  ISO7816x | ISO7816 instance.

Return values

  Returned | value can be one or combination of the following values: LL_ISO7816_INTR_TEST LL_ISO7816_INTR_PRESENCE LL_ISO7816_INTR_STATE_ERR LL_ISO7816_INTR_DMA_ERR LL_ISO7816_INTR_RETRY_ERR LL_ISO7816_INTR_RX_ERR LL_ISO7816_INTR_DONE

Definition at line 1097 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_dma_err()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_dma_err | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_DMA_ERR flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_DMA_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1173 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_done()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_done | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_DONE flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_DONE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1230 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_presence()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_presence | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_PRESENCE flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_PRESENCE | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1135 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_retry_err()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_retry_err | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_RETRY_ERR flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_RETRY_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1192 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_rx_err()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_rx_err | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_RX_ERR flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_RX_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1211 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_state_err()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_state_err | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_STATE_ERR flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_STATE_ERR | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1154 of file gr55xx_ll_iso7816.h.

## ◆ ll_iso7816_is_active_flag_test()

__STATIC_INLINE uint32_t ll_iso7816_is_active_flag_test | ( | iso7816_regs_t * | ISO7816x | ) |

Indicate the status of STAT_TEST flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STAT | STAT_TEST | +———————-+———————————–+ \endrst

Parameters

  ISO7816x | ISO7816 instance.

Return values

  State | of bit (1 or 0).

Definition at line 1116 of file gr55xx_ll_iso7816.h.